Skip to main content
GET
Get a specific delivery config version

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.

Headers

Cula-Organisation-Id
string
required

ID of the organisation the request operates on behalf of (e.g. org_...). Must be an organisation the API client has access to.

Example:

"org_01k83mfmhgchya944v86ryvhpq"

Path Parameters

version_id
string
required
Example:

"dlvcv_01kkw6g3ayad6f092rbkbjcaxq"

id
string
required
Example:

"dlvc_01kkygy9cxxqhhr93aw74aycbr"

Response

id
string
required

The ID of the delivery config version.

Example:

"dlvcv_01kkw6g3ayad6f092rbkbjcaxq"

config_id
string
required

The ID of the delivery config that this version belongs to.

Example:

"dlvc_01kkygy9cxxqhhr93aw74aycbr"

name
string
required

Human-readable name of the delivery config version.

Example:

"Corn Incoming Delivery"

allows_multiple_legs
boolean
required

Whether deliveries using this config can have more than one leg.

Example:

false

published_at
string<date-time>
required

When this version was published.

Example:

"2026-01-15T08:00:00Z"

unified
boolean
required
deprecated

Deprecated: use payload_configs and data_point_configs to determine how to create deliveries.

Example:

true

data_point_configs
object[]
required

Data points that can be set on deliveries created from this config. Included values might affect payload containers.

payload_configs
object[]
required

When managing deliveries you can pass payload_containers. Each container item must reference a payload config from this payload_configs list, defining which data points the specific container accepts.

payload_config
object
required
deprecated

Deprecated: use data_point_configs and payload_configs instead.